=== debian/changelog ===
ros-ardent-rosidl-generator-c (0.4.1-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- William Woodall <william@osrfoundation.org>  Thu, 08 Feb 2018 00:17:25 -0000
