=== debian/control ===
Source: ros-ardent-rosidl-generator-c
Section: misc
Priority: extra
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-ardent-ament-cmake, ros-ardent-ament-cmake-gtest, ros-ardent-ament-lint-auto, ros-ardent-ament-lint-common, ros-ardent-rosidl-cmake, ros-ardent-rosidl-typesupport-interface, ros-ardent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-ardent-rosidl-generator-c
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-ardent-ament-cmake, ros-ardent-rosidl-cmake, ros-ardent-rosidl-parser, ros-ardent-rosidl-typesupport-interface, ros-ardent-ros-workspace
Description: Generate the ROS interfaces in C.
